<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css" integrity="sha512-KfkfwYDsLkIlwQp6LFnl8zNdLGxu9YAA1QvwINks4PhcElQSvqcyVLLD9aMhXd13uQjoXtEKNosOWaZqXgel0g==" crossorigin="anonymous" referrerpolicy="no-referrer"
    />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/uikit@3.14.1/dist/css/uikit.min.css" />
    <link rel="stylesheet" href="/css/sign-in.css">
    <title>Title</title>
</head>

<body>

    <!----------------------------------------Login Form Start--------------------------------------------->
    <div class="container" onclick="onclick">
        <div class="top"></div>
        <div class="bottom"></div>
        <div class="center sign-in-area">
            <form id="sign-in-form" class="form-setting-style">
                <h2>Please Sign In</h2>
                <input type="text" name="loginEmail" placeholder="user email" value="peter" />
                <input type="password" name="loginPassword" placeholder="password" value="123456" />
                <div id="login-result"></div>
                <div class="uk-flex">
                    <button onclick='showRegister()' type='button' class="uk-button button-padding-style register-btn">Register</button>
                    <button class="uk-button uk-button-muted uk-button-small uk-width-expand sign-in-style" id="login-btn" type="submit" value="Sign In">Sign In
                    </button>
                </div>
                <div class="uk-flex button-icon-style">
                    <a class="google-icon-style uk-button" href="/"><i class="fa-solid fa-house"></i></a>
                    <a href="/connect/google" class="google-icon-style uk-button"><i
                            class="fa-brands fa-google"></i></a>
                </div>
            </form>
            <!----------------------------------------Login Form End--------------------------------------------->

            <!----------------------------------------Register Form Start--------------------------------------------->
            <form id="register-form" action="/user/register" method="POST" enctype="application/x-www-form-urlencoded" style="display: none">
                <h2>👋🏻Register Here !</h2>
                <input type="username" name="registerEmail" placeholder="email" />
                <input type="username" name="registerUsername" placeholder="username" />
                <input type="password" name="registerPassword" placeholder="Insert password" />
                <input type="password" name="registerPasswordAG" placeholder="Insert password again" />
                <div id="register-result">nothing here</div>
                <div>
                    <input type="submit" onclick="register()" value="register">
                </div>
            </form>
        </div>
    </div>
    <!----------------------------------------Register Form End--------------------------------------------->

</body>
<script src="https://cdn.jsdelivr.net/npm/uikit@3.14.1/dist/js/uikit.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/uikit@3.14.1/dist/js/uikit-icons.min.js"></script>
<script src="js/sign-in.js"></script>

</html>